security:
    encoders:
        App\Entity\User:
            algorithm: bcrypt
    providers:
        # used to reload user from session & other features (e.g. switch_user)
        app_user_provider:
            entity:
                class: App\Entity\User
                property: email
    enable_authenticator_manager: true
    firewalls:
        dev:
            pattern: ^/(_(profiler|wdt)|css|images|js)/
            security: false
        main:
            custom_authenticators:
                - App\Misc\AppAuthenticator
            pattern:   ^\/(api\/)(?!auth).*
            stateless: true
        public:
            pattern: ^\/(home).*
            stateless: true
            security: false

    # Easy way to control access for large sections of your site
    # Note: Only the *first* access control that matches will be used
    access_control:
        - { path: ^/api/auth, roles: PUBLIC_ACCESS }
        # - { path: ^/profile, roles: ROLE_USER }
